This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 852534 - [as7] Unable to create HornetQ Connection Factory resources
[as7] Unable to create HornetQ Connection Factory resources
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: as7-plugin 852648
  Show dependency treegraph
 
Reported: 2012-08-28 16:16 EDT by Stefan Negrea
Modified: 2013-09-01 06:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 852648 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:08:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-08-28 16:16:26 EDT
Description of problem:
Unable to create connection-factory or pooled-connection-factory when the connector property is left unset. 

The error message returned by AS7 after the create child command is submitted:
Null key for a Map not allowed in JSON (use a converting NullKeySerializer?), rolled-back=false, rolled-back=false

The same error message is visible when the connector property is unset on existing subresources.

Paths of affected resources:
*/subsystem=messaging/hornetq-server=default/connection-factory=*
*/subsystem=messaging/hornetq-server=default/pooled-connection-factory=*


How reproducible:
Every time


Steps to Reproduce:

Resource Creation:
1. Discover and import an AS7 standalone server
2. Find a resource hornetq server in the messaging subsystem
3. Create a new connection-factory or a pooled-connection-factory. Leave all the fields to default value. Add values to all required fields that do not have a default value.

Resource Configuration Update:
1. Discovery and import an AS7 standalone server
2. Find resources at the addresses mentioned above.
3. Unset the connector property.

  
Actual results:
The operation fails with the following error message:
Null key for a Map not allowed in JSON (use a converting NullKeySerializer?), rolled-back=false, rolled-back=false

Expected results:
The operation succeeds.


Additional info:
The two test cases fail because of the same issue, attempting to pass a map with a null key to AS7 for the connector field.
Comment 1 Stefan Negrea 2012-08-28 16:26:21 EDT
Updated the configuration writer to set collapsed maps with null keys to null rather than sending a map with a null:null for key:value. Attempting to send maps with null keys to the application server results in validation errors.
Comment 3 Heiko W. Rupp 2013-09-01 06:08:22 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.